# Relay8I2C Library
**By Fatima @ FABLAB Bahrain**

![FABLAB Bahrain Logo](https://via.placeholder.com/150x50.png?text=FABLAB+Bahrain)

Control 8-relay modules via I2C with dynamic address configuration. Designed for ESP8266 and Arduino platforms.

## Features
- I2C communication protocol
- Dynamic slave address configuration
- Master controller with serial interface
- Active LOW relay support
- EEPROM storage for persistent addressing

## Installation
1. Download the library ZIP
2. Arduino IDE: Sketch > Include Library > Add .ZIP Library
3. Select the downloaded ZIP file

## Usage
