#ifndef I2CRelay_H
#define I2CRelay_H

#include <Arduino.h>
#include <Wire.h>

class I2CRelay {
public:
    I2CRelay(uint8_t slaveAddress);
    void begin();
    void setRelay(uint8_t relayIndex, bool state);
    uint8_t scanDevices(uint8_t* foundAddresses, uint8_t maxDevices);
    void setAddress(uint8_t newAddress);
    void handleI2CCommand();
    
private:
    uint8_t _slaveAddress;
};

#endif
